=== debian/control ===
Source: pcl
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
	   Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
	       clang [mipsel armel armhf],
	       python3-sphinx,
	       libboost-system-dev,
	       libboost-filesystem-dev,
	       libboost-thread-dev,
	       libboost-date-time-dev,
	       libboost-iostreams-dev,
	       libeigen3-dev,
	       libflann-dev,
	       libvtk9-dev,
	       libqhull-dev,
	       libopenni-dev [!s390x !alpha !hppa !hurd-i386 !ia64 !kfreebsd-any !m68k !riscv64 !sh4 !sparc64],
	       libopenni2-dev [!hurd-i386 !hppa !kfreebsd-any],
	       libqt5opengl5-dev,
	       libusb-1.0-0-dev,
	       libglut-dev,
	       libxmu-dev,
	       libxi-dev,
	       libpcap-dev,
	       libvtk9-qt-dev,
	       libglew-dev,
	       libgtest-dev,
Build-Depends-Indep: doxygen,
		     doxygen-latex
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/pcl
Vcs-Git: https://salsa.debian.org/science-team/pcl.git
Rules-Requires-Root: no
Homepage: https://www.pointclouds.org/
Description: Point Cloud Library
 The Point Cloud Library (PCL) is a standalone, large scale, open
 project for 2D/3D image and point cloud processing.
 .
 The PCL framework contains numerous state-of-the art algorithms
 including filtering, feature estimation, surface reconstruction,
 registration, model fitting and segmentation.

Package: libpcl-dev
Architecture: any
Section: libdevel
Depends: libboost-all-dev,
	 libeigen3-dev,
	 libflann-dev,
	 libvtk9-dev,
	 libqhull-dev,
	 libvtk9-qt-dev,
	 libusb-1.0-0-dev,
	 libopenni-dev [!s390x !alpha !hppa !hurd-i386 !ia64 !kfreebsd-any !m68k !riscv64 !sh4 !sparc64],
	 libopenni2-dev [!hurd-i386 !hppa !kfreebsd-any],
	 libpcl-apps1.14 (= ${binary:Version}),
	 libpcl-common1.14 (= ${binary:Version}),
	 libpcl-features1.14 (= ${binary:Version}),
	 libpcl-filters1.14 (= ${binary:Version}),
	 libpcl-io1.14 (= ${binary:Version}),
	 libpcl-kdtree1.14 (= ${binary:Version}),
	 libpcl-keypoints1.14 (= ${binary:Version}),
	 libpcl-ml1.14 (= ${binary:Version}),
	 libpcl-octree1.14 (= ${binary:Version}),
	 libpcl-outofcore1.14 (= ${binary:Version}),
	 libpcl-people1.14 (= ${binary:Version}),
	 libpcl-recognition1.14 (= ${binary:Version}),
	 libpcl-registration1.14 (= ${binary:Version}),
	 libpcl-sample-consensus1.14 (= ${binary:Version}),
	 libpcl-search1.14 (= ${binary:Version}),
	 libpcl-segmentation1.14 (= ${binary:Version}),
	 libpcl-stereo1.14 (= ${binary:Version}),
	 libpcl-surface1.14 (= ${binary:Version}),
	 libpcl-tracking1.14 (= ${binary:Version}),
	 libpcl-visualization1.14 (= ${binary:Version}),
	 ${misc:Depends}
Suggests: libpcl-doc
Description: ${source:Synopsis} - development files
 ${source:Extended-Description}
 .
 This package contains development files (headers and shared library
 symbolic link).

Package: libpcl-apps1.14
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} - apps library
 ${source:Extended-Description}
 .
 This package contains the libraries needed to run applications depending
 on PCL apps.

Package: libpcl-common1.14
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} - common library
 ${source:Extended-Description}
 .
 This package contains the PCL common library.

Package: libpcl-features1.14
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} - features library
 ${source:Extended-Description}
 .
 This package contains the PCL features library.

Package: libpcl-filters1.14
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} - filters library
 ${source:Extended-Description}
 .
 This package contains the PCL filters library.

Package: libpcl-io1.14
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} - I/O library
 ${source:Extended-Description}
 .
 This package contains the libraries needed to run applications
 depending on PCL io.

Package: libpcl-kdtree1.14
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} - kdtree library
 ${source:Extended-Description}
 .
 This package contains the PCL kdtree library.

Package: libpcl-keypoints1.14
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} - keypoints library
 ${source:Extended-Description}
 .
 This package contains the PCL keypoints library.

Package: libpcl-ml1.14
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} - ml library
 ${source:Extended-Description}
 .
 This package contains the PCL ml library.

Package: libpcl-octree1.14
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} - octree library
 ${source:Extended-Description}
 .
 This package contains the PCL octree library.

Package: libpcl-outofcore1.14
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: ${source:Synopsis} - outofcore library
 ${source:Extended-Description}
 .
 This package contains the libraries needed to run applications
 depending on PCL outofcore.

Package: libpcl-people1.14
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: ${source:Synopsis} - people library
 ${source:Extended-Description}
 .
 This package contains the libraries needed to run applications
 depending on PCL people.

Package: libpcl-recognition1.14
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
    	 ${misc:Depends}
Description: ${source:Synopsis} - recognition library
 ${source:Extended-Description}
 .
 This package contains the libraries needed to run applications
 depending on PCL recognition.

Package: libpcl-registration1.14
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} - registration library
 ${source:Extended-Description}
 .
 This package contains the PCL registration library.

Package: libpcl-sample-consensus1.14
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} - sample consensus library
 ${source:Extended-Description}
 .
 This package contains the PCL sample consensus library.

Package: libpcl-search1.14
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} - search library
 ${source:Extended-Description}
 .
 This package contains the PCL search library.

Package: libpcl-segmentation1.14
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} - segmentation library
 ${source:Extended-Description}
 .
 This package contains the PCL segmentation library.

Package: libpcl-stereo1.14
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} - stereo library
 ${source:Extended-Description}
 .
 This package contains the PCL stereo library.

Package: libpcl-surface1.14
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} - surface library
 ${source:Extended-Description}
 .
 This package contains the PCL surface library.

Package: libpcl-tracking1.14
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} - tracking library
 ${source:Extended-Description}
 .
 This package contains the PCL tracking library.

Package: libpcl-visualization1.14
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} - visualization library
 ${source:Extended-Description}
 .
 This package contains the PCL visualization library.

Package: pcl-tools
Architecture: any
Section: science
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: ${source:Synopsis} - point cloud processing tools
 ${source:Extended-Description}
 .
 This package gathers tools bundled with PCL to process point clouds.

Package: libpcl-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Multi-Arch: foreign
Description: ${source:Synopsis} - documentation
 ${source:Extended-Description}
 .
 This package contains the Doxygen generated documentation.
